Đến nội dung


Hình ảnh
- - - - -

Tổng hợp lisp


  • Please log in to reply
12 replies to this topic

#1 conghaice

conghaice

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 56 (tàm tạm)

Đã gửi 07 March 2009 - 09:21 PM

Ngồi nghịch ngợm lisp tý rồi chia sẻ với mọi người. Sau khi appload đánh Hai để tra các lệnh (đây là các lisp tôi sưu tầm từ cadviet va cac nguon khác, xin mạn phép các tác giả)
Click here to download
  • 6

#2 link_lucky

link_lucky

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 16 September 2010 - 04:06 PM

Ngồi nghịch ngợm lisp tý rồi chia sẻ với mọi người. Sau khi appload đánh Hai để tra các lệnh (đây là các lisp tôi sưu tầm từ cadviet va cac nguon khác, xin mạn phép các tác giả)
Click here to download

Em download về và dùng bộ LISP của anh rồi. Nhưng em không hiểu tại sao cứ mỗi lần sử dụng đến LISP của anh thì CAD lại tự tắt đi chế độ truy bắt điểm (F3) mình lại phải ấn F3 để tick những cái kiểu truy bắt điểm. Rất bất tiện cho mỗi lần như thế. Có Anh chị nào biết có thể chỉ cho em các khắc phục cái này! (Nôm nà là dùng LISP của "CONGHAICE " thì chế độ truy bắt điểm tự tắt). Em xin cảm ơn!
  • 0

#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 16 September 2010 - 04:21 PM

Em download về và dùng bộ LISP của anh rồi. Nhưng em không hiểu tại sao cứ mỗi lần sử dụng đến LISP của anh thì CAD lại tự tắt đi chế độ truy bắt điểm (F3) mình lại phải ấn F3 để tick những cái kiểu truy bắt điểm. Rất bất tiện cho mỗi lần như thế. Có Anh chị nào biết có thể chỉ cho em các khắc phục cái này! (Nôm nà là dùng LISP của "CONGHAICE " thì chế độ truy bắt điểm tự tắt). Em xin cảm ơn!

Chào bạn linh_lucky,
Bạn hãy thêm:
(setq old (getvar "osmode"))
Vào đầu mỗi lisp và
(setvar "osmode" old) vào cuối các lisp đó
Hy vọng là bạn sẽ thấy hết bất tiện.
Hề hề hề
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 link_lucky

link_lucky

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 16 September 2010 - 04:59 PM

Chào bạn linh_lucky,
Bạn hãy thêm:
(setq old (getvar "osmode"))
Vào đầu mỗi lisp và
(setvar "osmode" old) vào cuối các lisp đó
Hy vọng là bạn sẽ thấy hết bất tiện.
Hề hề hề


Em làm vậy mà chưa được. Bác "phamthanhbinh" sửa rồi Up lại cho em nha! Nó đây ạ! Cảm ơn bác nhiều nhiều!
http://www.cadviet.c...files/3/hai.lsp
  • 0

#5 link_lucky

link_lucky

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 17 September 2010 - 09:19 AM

Em làm vậy mà chưa được. Bác "phamthanhbinh" sửa rồi Up lại cho em nha! Nó đây ạ! Cảm ơn bác nhiều nhiều!
http://www.cadviet.c...files/3/hai.lsp

Nhờ các bác sửa cái lỗi mất chế độ truy bắt điểm khi sử dụng LISP này. Các bác sửa LISP lại rồi UP lên đây cho em với nha. Em cảm ơn ạ!
  • 0

#6 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 September 2010 - 10:21 AM

Nhờ các bác sửa cái lỗi mất chế độ truy bắt điểm khi sử dụng LISP này. Các bác sửa LISP lại rồi UP lên đây cho em với nha. Em cảm ơn ạ!

Thấy nhiều người nhắc bạn rồi và mỗi lần như vậy thì bạn nói bạn là sinh viên ít kinh nghiệm và trách ng khác ko quan tâm nhưng bạn có trách nhiệm 1 chút đi:
-Trong cái lisp này có rất nhiều lệnh con. Ít ra bạn cũng dò coi là lệnh nào bị lệnh nào ko để ai muốn giúp thì còn có nơi có chốn mà tìm chứ yêu cầu cả cục như thế thì mọi người phải ngồi đọc hết để coi à?
-
-
-
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#7 phuongdongvl

phuongdongvl

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 September 2010 - 10:49 AM

Mọi ngưòi ới cho tớ hỏi cad bị mất dòng lệnh khi mình gõ trên màn hình thì phải vào đâu để chỉnh cho nó hiển thị lai?Bây giờ nó chỉ hiện ở dòng command bên dưới thôi!Cám ơn mọi người!
  • 0

#8 link_lucky

link_lucky

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 17 September 2010 - 10:55 AM

Mọi ngưòi ới cho tớ hỏi cad bị mất dòng lệnh khi mình gõ trên màn hình thì phải vào đâu để chỉnh cho nó hiển thị lai?Bây giờ nó chỉ hiện ở dòng command bên dưới thôi!Cám ơn mọi người!

Ấn F12. mà không đc thì
chỉnh biến DYNM0DE về giá trị 3 là được.:
Command: dynmode
Enter new value for DYNMODE <2>: 3
Và nhớ là bật thẻ DYN ở hàng dưới màn hình nhé(ấn F12 để tắt/bật thẻ này)
  • 0

#9 link_lucky

link_lucky

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 17 September 2010 - 11:00 AM

Thấy nhiều người nhắc bạn rồi và mỗi lần như vậy thì bạn nói bạn là sinh viên ít kinh nghiệm và trách ng khác ko quan tâm nhưng bạn có trách nhiệm 1 chút đi:
-Trong cái lisp này có rất nhiều lệnh con. Ít ra bạn cũng dò coi là lệnh nào bị lệnh nào ko để ai muốn giúp thì còn có nơi có chốn mà tìm chứ yêu cầu cả cục như thế thì mọi người phải ngồi đọc hết để coi à?
-
-
-

Khi load LISP đó và sử dụng Lisp con trong bộ lisp đó thì chế độ truy bắt điểm nó tự tắt ạ. Em không biết gì về việc viết, sửa Lisp nên không biết sửa thế nào nên em mới làm phiền nhờ các anh ạ! Em cảm ơn ạ!
  • 0

#10 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 18 September 2010 - 10:41 AM

Khi load LISP đó và sử dụng Lisp con trong bộ lisp đó thì chế độ truy bắt điểm nó tự tắt ạ. Em không biết gì về việc viết, sửa Lisp nên không biết sửa thế nào nên em mới làm phiền nhờ các anh ạ! Em cảm ơn ạ!

Bạn thêm đoạn lisp này vào. Bạn chọn các osmode bạn hay dùng rồi thoát khỏi cad.

(defun s::startup()
(setq osmodecu (getvar "osmode"))
(if (= osmodecu 0)(setvar "osmode" osmodenew)(setq osmodenew osmodecu))
(princ)
)

Mình lấy ví dụ bạn có lisp nè
(defun c:TT (/ Os P1 P2)
(command "_undo" "be")
(setvar "OSMODE" 0)
(terpri)
(setq P1 (getpoint (Strcat Bidanh " hay pick diem can phong to")))
(command "zoom" "c" P1 800)
(setvar "OSMODE" 512)
(setq P2 (getpoint "\nChon doan thang bi cat"))
(while P2
(command "_trim" "" P2 "")
(setq P2 (getpoint "\nChon doan thang bi cat hoac ENTER"))
);while
(command "_zoom" "p")
(command "_undo" "e")
(princ)
);defun
Giờ bạn chỉ cần thêm (s::startup) vào cuối lisp.
(defun c:TT (/ Os P1 P2)
(command "_undo" "be")
(setvar "OSMODE" 0)
(terpri)
(setq P1 (getpoint (Strcat Bidanh " hay pick diem can phong to")))
(command "zoom" "c" P1 800)
(setvar "OSMODE" 512)
(setq P2 (getpoint "\nChon doan thang bi cat"))
(while P2
(command "_trim" "" P2 "")
(setq P2 (getpoint "\nChon doan thang bi cat hoac ENTER"))
);while
(command "_zoom" "p")
(command "_undo" "e")
(s::startup)
(princ)
);defun
Khi chạy xong lisp nó tự động quay về cho bạn. Giờ bạn chỉ cần thêm (s::startup) vào cuối mỗi lisp việc này rất đơn giản vì kết thúc mỗi lisp các bạn khác đã chú thích cho bạn ");defun" bạn chỉ việc search và thêm vào thôi chúc bạn thành công.
Bạn không cần phải lo nghĩ gì nữa. Bạn tham khảo nhé!!
  • 1
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#11 link_lucky

link_lucky

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 21 September 2010 - 02:47 PM

Bạn thêm đoạn lisp này vào. Bạn chọn các osmode bạn hay dùng rồi thoát khỏi cad.


(defun s::startup()
(setq osmodecu (getvar "osmode"))
(if (= osmodecu 0)(setvar "osmode" osmodenew)(setq osmodenew osmodecu))
(princ)
)

Mình lấy ví dụ bạn có lisp nè
(defun c:TT (/ Os P1 P2)
(command "_undo" "be")
(setvar "OSMODE" 0)
(terpri)
(setq P1 (getpoint (Strcat Bidanh " hay pick diem can phong to")))
(command "zoom" "c" P1 800)
(setvar "OSMODE" 512)
(setq P2 (getpoint "\nChon doan thang bi cat"))
(while P2
(command "_trim" "" P2 "")
(setq P2 (getpoint "\nChon doan thang bi cat hoac ENTER"))
);while
(command "_zoom" "p")
(command "_undo" "e")
(princ)
);defun
Giờ bạn chỉ cần thêm (s::startup) vào cuối lisp.
(defun c:TT (/ Os P1 P2)
(command "_undo" "be")
(setvar "OSMODE" 0)
(terpri)
(setq P1 (getpoint (Strcat Bidanh " hay pick diem can phong to")))
(command "zoom" "c" P1 800)
(setvar "OSMODE" 512)
(setq P2 (getpoint "\nChon doan thang bi cat"))
(while P2
(command "_trim" "" P2 "")
(setq P2 (getpoint "\nChon doan thang bi cat hoac ENTER"))
);while
(command "_zoom" "p")
(command "_undo" "e")
(s::startup)
(princ)
);defun
Khi chạy xong lisp nó tự động quay về cho bạn. Giờ bạn chỉ cần thêm (s::startup) vào cuối mỗi lisp việc này rất đơn giản vì kết thúc mỗi lisp các bạn khác đã chú thích cho bạn ");defun" bạn chỉ việc search và thêm vào thôi chúc bạn thành công.
Bạn không cần phải lo nghĩ gì nữa. Bạn tham khảo nhé!!

Trước hết em xin cảm ơn sự nhiệt tình của anh. Cách trả lời như anh đối với người không biết viết Lisp như em là rất dễ hiểu. Em làm được rồi. Em cảm ơn!
  • 0

#12 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 21 September 2010 - 06:34 PM

Trước hết em xin cảm ơn sự nhiệt tình của anh. Cách trả lời như anh đối với người không biết viết Lisp như em là rất dễ hiểu. Em làm được rồi. Em cảm ơn!

Mình hiểu và thông cảm với bạn vì trước đây mình cũng có biết gì đâu? Không ngại hỏi ắt có câu trả lời đúng ý mình mà. Cố gắng bạn nhé.
  • 1
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#13 lyky

lyky

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: 126 (tàm tạm)

Đã gửi 01 October 2010 - 06:48 PM

VỀ VẤN ĐỀ BỊ MẤT HẾT BẮT ĐIỂM THƯỜNG TRÚ
Do biến hệ thống về trạng thái OSMODE bị gán gtri 0 hoặc 1024 ... nên sau khi thực thi lệnh xong, các bắt điểm thường trú của bạn tự nhiên bị xóa sạch. Bạn vào Drawing Setting để điều chỉnh lại OSNAP thật là bất tiện
Bạn có thể viết thêm đoạn code nhỏ xíu này thử xem:

(defun C:ZZ()
(command "osmode" 15359))

(hoặc (setvar "osmode" 15359))

nhằm mục đích gán 15359 cho biến trạng thái OSMODE đê thực hiện truy bắt thường trú tất cả các loại điểm

bạn có thể xem thêm một số giá trị của biến trạng thái OSMODE, bằng cách vào ACAD nhấp F1 để vào Help, nhập vào Search: OSMODE để xem thêm. VD: 1 # End; 2 # Cen ...

Chúc các bạn nhiều niềm vui.
Thân ái!

Lý Kỳ.
  • 0

22665_13x13progress.gif   22665_lyky.gif   22665_13x13progress.gif